/* rexx test for rxdates.cmd file */

today=date('B') /* get todays date in basedate format */
lastweek=today-10 /* 10 days ago */
say  'Today:' rxdates(today 'F') '10 days ago: 'rxdates(lastweek 'U') 'was a 'rxdates(lastweek 'W')


 newUSA=rxdates((date('B')+30) 'U')
 say '30 days from now is: 'newUSA rxdates(newusa 'F')

plus=today+60
say '60 days from now is 'rxdates(plus 'W')',' rxdates(plus 'F') 'day #:'rxdates(plus 'D')

plus=today+300
say '300 days from now is 'rxdates(plus 'W')',' rxdates(plus 'F') 'day #:'rxdates(plus 'D')

plus=today-400
say '400 days ago was     'rxdates(plus 'W')',' rxdates(plus 'F') 'day #:'rxdates(plus 'D')

say 'The Julian date 200 days before' rxdates('03/30/1992 F') 'was julian' rxdates(rxdates('03/30/1992 B')-200 'J') '=' rxdates(rxdates('03/30/1992 B')-200 'U')


if rxdates('07/07/92 l') then say rxdates('07/07/92 f') 'was a leapyear.'

say 'The BaseDate for 'rxdates(July 23 1993 U) 'is' rxdates(july 23 1993 b)', Julian is' rxdates('07/23/1993' J)

say '300 days before ' rxdates('09/03/54 F') 'was ' rxdates(rxdates('09/03/54 B')-300 'w') rxdates(rxdates('09/03/54 B')-300 'f')

say rxdates('01/01/2101 f') 'will be a' rxdates('01/01/2101 w') 'and 295 days later will be' rxdates(rxdates('01/01/2101 b')+295 'F')


